Package com.sas.lsaf.workflow.processflow

## Class ProcessFlowSearchResultItem

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.ProcessFlowSearchResultItem

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ProcessFlowSearchResultItem
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the results of a process flow search.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessFlowSearchResultItem​(java.lang.String id, java.lang.String name, ProcessFlowDescriptor.FlowStatus status, java.lang.String owner, java.lang.String processDefinitionKey, java.lang.String lastModifiedBy, java.util.Date lastModifiedDate, java.lang.String contextPath, CreationMethod creationMethod)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContextPath()` | Gets the context path of the context in which the process flow was created.
    `CreationMethod` | `getCreationMethod()` | Gets the method by which the process flow was created.
    `java.lang.String` | `getId()` | Gets the unique identifier of the process flow.
    `java.lang.String` | `getLastModifiedBy()` | Gets the user who last modified the process flow.
    `java.util.Date` | `getLastModifiedDate()` | Gets the date on which the process flow was last modified.
    `java.lang.String` | `getName()` | Gets the name of the process flow.
    `java.lang.String` | `getOwner()` | Gets the userId of the process flow owner.
    `java.lang.String` | `getProcessDefinitionKey()` | Gets the key of the process flow definition.
    `ProcessFlowDescriptor.FlowStatus` | `getStatus()` | Gets the status of the process flow.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessFlowSearchResultItem

          public ProcessFlowSearchResultItem​(java.lang.String id,
                                             java.lang.String name,
                                             ProcessFlowDescriptor.FlowStatus status,
                                             java.lang.String owner,
                                             java.lang.String processDefinitionKey,
                                             java.lang.String lastModifiedBy,
                                             java.util.Date lastModifiedDate,
                                             java.lang.String contextPath,
                                             CreationMethod creationMethod)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the process flow search result items returned by the API.
      Parameters:
        `id` - The unique identifier of the process flow.
        `name` - The name of the process flow.
        `status` - The status of the process flow.
        `owner` - The userId of the process flow owner.
        `processDefinitionKey` - The key of the process flow definition.
        `lastModifiedBy` - The user who last modified the process flow.
        `lastModifiedDate` - The date on which the process flow was last modified.
        `contextPath` - The path of the context in which the process flow was created.
        `creationMethod` - The method by which the process flow was created.

  - ### Method Detail

    - #### getOwner

          public java.lang.String getOwner()

      Gets the userId of the process flow owner.
      Returns:
        The userId.

    - #### getName

          public java.lang.String getName()

      Gets the name of the process flow.
      Returns:
        The name.

    - #### getId

          public java.lang.String getId()

      Gets the unique identifier of the process flow.
      Returns:
        The identifier.

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Gets the user who last modified the process flow.
      Returns:
        The userId.

    - #### getLastModifiedDate

          public java.util.Date getLastModifiedDate()

      Gets the date on which the process flow was last modified.
      Returns:
        The date.

    - #### getContextPath

          public java.lang.String getContextPath()

      Gets the context path of the context in which the process flow was created.
      Returns:
        The context path.

    - #### getStatus

          public ProcessFlowDescriptor.FlowStatus getStatus()

      Gets the status of the process flow.
      Returns:
        The status.

    - #### getProcessDefinitionKey

          public java.lang.String getProcessDefinitionKey()

      Gets the key of the process flow definition.
      Returns:
        The key.

    - #### getCreationMethod

          public CreationMethod getCreationMethod()

      Gets the method by which the process flow was created.
      Returns:
        The method.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`